org.apache.ignite.ml.dataset

## Interface UpstreamTransformerBuilder

- All Superinterfaces:
    Serializable
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface UpstreamTransformerBuilder
      extends Serializable

  Builder of `UpstreamTransformer`.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default UpstreamTransformerBuilder` | `andThen(UpstreamTransformerBuilder other)` Combunes two builders (this and other respectfully) env -> transformer1 env -> transformer2 into env -> transformer2 . transformer1
    `UpstreamTransformer` | `build(LearningEnvironment env)` Create `UpstreamTransformer` based on learning environment.
    `static <K,V> UpstreamTransformerBuilder` | `identity()` Returns identity upstream transformer.

- - ### Method Detail

    - #### build

          UpstreamTransformer build(LearningEnvironment env)

      Create `UpstreamTransformer` based on learning environment.
      Parameters:
        `env` - Learning environment.
      Returns:
        Upstream transformer.

    - #### andThen

          default UpstreamTransformerBuilder andThen(UpstreamTransformerBuilder other)

      Combunes two builders (this and other respectfully)

           env -> transformer1
           env -> transformer2

      into

           env -> transformer2 . transformer1

      Parameters:
        `other` - Builder to combine with.
      Returns:
        Compositional builder.

    - #### identity

          static <K,V> UpstreamTransformerBuilder identity()

      Returns identity upstream transformer.
      Type Parameters:
        `K` - Type of keys in upstream.
        `V` - Type of values in upstream.
      Returns:
        Identity upstream transformer.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023